org.acplt.oncrpc.apps.jrpcgen

## Class JrpcgenParamInfo

- java.lang.Object
- - org.acplt.oncrpc.apps.jrpcgen.JrpcgenParamInfo

     class JrpcgenParamInfo
    extends java.lang.Object

The `JrpcgenParamInfo` class contains information about the data type of a procedure's parameter, as well as the parameter's optional name.

Version:
  $Revision: 1.2 $ $Date: 2003/08/14 08:09:59 $ $State: Exp $ $Locker: $
Author:
  Harald Albrecht

### Field Summary

Fields
`java.lang.String` `parameterName`
`java.lang.String` `parameterType`

### Constructor Summary

Constructors
Constructor and Description
`JrpcgenParamInfo(java.lang.String parameterType, java.lang.String parameterName)` Constructs a new `JrpcgenParamInfo` object containing information about ...

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### parameterType

    public java.lang.String parameterType

#### parameterName

    public java.lang.String parameterName

### Constructor Detail

#### JrpcgenParamInfo

    public JrpcgenParamInfo(java.lang.String parameterType,
                    java.lang.String parameterName)

Constructs a new `JrpcgenParamInfo` object containing information about ...